Public Class FormularzDiagnostyczny
    Private Sub btnWykonajDzielenie_Click(sender As Object, e As EventArgs) Handles btnWykonajDzielenie.Click
        ' Ta procedura dzieli liczbę 100 przez liczbę wpisaną przez użytkownika
        ' w polu txtDane.
        Dim lngOdpowiedź As Long
        If txtDane.Text = "" Then
            Exit Sub
        End If

        If Not IsNumeric(txtDane.Text) Then Exit Sub

        lngOdpowiedź = 100 / CLng(txtDane.Text)

        MessageBox.Show("100/" & txtDane.Text & " = " & lngOdpowiedź)

    End Sub
End Class
